Bug 22662 - openconnect package update
Summary: openconnect package update
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA6-64-OK
Keywords: advisory, validated_update
Depends on: 22656
Blocks: 22659
  Show dependency treegraph
 
Reported: 2018-02-27 11:41 CET by Neal Gompa
Modified: 2018-05-04 18:48 CEST (History)
5 users (show)

See Also:
Source RPM:
CVE:
Status comment:


Attachments

Description Neal Gompa 2018-02-27 11:41:29 CET
Advisory:
===================================

Updated openconnect package adds support for Juniper SSL VPN.

The networkmanager-openconnect package has been rebuilt against the new openconnect.


Updated packages in core/updates_testing:
========================
openconnect-7.08-1.mga6
libopenconnect5-7.08-1.mga6
libopenconnect-devel-7.08-1.mga6
lib64openconnect5-7.08-1.mga6
lib64openconnect-devel-7.08-1.mga6
networkmanager-openconnect-1.2.4-1.1.mga6

from SRPMS:
openconnect-7.08-1.mga6.src.rpm
networkmanager-openconnect-1.2.4-1.1.mga6.src.rpm
Neal Gompa 2018-02-27 11:42:20 CET

Blocks: (none) => 22659

Nicolas Lécureuil 2018-02-27 11:45:44 CET

Blocks: (none) => 22656

Comment 1 Herman Viaene 2018-03-01 13:54:47 CET
MGA6-32 on Dell Latitude D600 Mate
No installation issues.
I have no experience at all with VPN's (apart from lgging into one 15 years ago), so no real testing.
It least it does not break anything in my network.

CC: (none) => herman.viaene

Comment 2 Herman Viaene 2018-03-01 14:02:22 CET
Found out there is a NetworkManager (mind the capitals!) which I can control with systemctl start etc... That works OK, but anything useful???
Comment 3 PC LX 2018-03-17 14:20:52 CET
Installed without issues.

Don't have any VPN that uses openconnect so can't actually test it.
networkmanager still works after a restart so, at least there is no regression on my side.

System: Mageia 6, x86_64, Plasma DE, Intel CPU, nVidia GPU using nvidia340 proprietary driver.

Packages installed:
- lib64openconnect5-7.08-1.mga6.x86_64
- networkmanager-openconnect-1.2.4-1.1.mga6.x86_64
- openconnect-7.08-1.mga6.x86_64

$ uname -a
Linux marte 4.14.25-desktop-1.mga6 #1 SMP Fri Mar 9 19:48:35 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux                                                                                         
$ rpm -qa | grep openconnect | sort
lib64openconnect5-7.08-1.mga6
networkmanager-openconnect-1.2.4-1.1.mga6
openconnect-7.08-1.mga6

CC: (none) => mageia

Comment 4 Lewis Smith 2018-04-09 21:25:43 CEST
I do not see how I can add to what has been said, but for info:

openconnect:
This package provides a client for Cisco's "AnyConnect" VPN, which uses
HTTPS and DTLS protocols.

required by networkmanager-openconnect:
This package contains software for integrating the openconnect VPN software
with NetworkManager.

If no-one else with VPN picks this up soon, it can go as-is. Thank you both for your verifications.

Keywords: (none) => advisory

Comment 5 Mauricio Andrés Bustamante Viveros 2018-04-09 23:41:25 CEST
Am I reading correctly???
If that is the case, must be tested with the new plasma stack

Anyone tested it with the new stack???

CC: (none) => neoser10

Comment 6 PC LX 2018-04-10 10:45:17 CEST
(In reply to Mauricio Andrés Bustamante Viveros from comment #5)
> Anyone tested it with the new stack???

I have the new Qt/KDE/Plasma stack installed but I can't do more than install it and see if it break something (it didn't). I can't actually test it to see if it does what is should, connect to a VPN.
Comment 7 Lewis Smith 2018-04-12 09:17:04 CEST
(In reply to Mauricio Andrés Bustamante Viveros from comment #5)
> Am I reading correctly???
> If that is the case, must be tested with the new plasma stack
I do not think that any GUI is involved for these packages. If this is true, then the Qt5 & upwards stacks should not be relevant. (NetworkManager *does* have a GUI if you click its Systray icon; that is OK).

 lib64openconnect5-7.08-1.mga6.x86_64
 networkmanager-openconnect-1.2.4-1.1.mga6.x86_64
 openconnect-7.08-1.mga6.x86_64

This 'does it start?' test was done with all the stack updates installed, and with NetworkManager running:
 # networkmanager-openconnect
bash: networkmanager-openconnect: command not found
 # openconnect 127.0.0.1
POST https://127.0.0.1/
Failed to connect to 127.0.0.1:443: Connection refused
Failed to connect to host 127.0.0.1
Failed to open HTTPS connection to 127.0.0.1
Failed to obtain WebVPN cookie
 Sensible output in the circumstances.

CC: (none) => lewyssmith

Lewis Smith 2018-04-12 21:24:46 CEST

CC: (none) => sysadmin-bugs
Whiteboard: (none) => MGA6-64-OK
Keywords: (none) => validated_update

Comment 8 Mageia Robot 2018-04-13 22:09:38 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2018-0059.html

Status: NEW => RESOLVED
Resolution: (none) => FIXED

Thomas Backlund 2018-05-04 18:48:55 CEST

Depends on: (none) => 22656
Blocks: 22656 => (none)


Note You need to log in before you can comment on or make changes to this bug.